What firmware do I need to use snes30 on Wii?

Discussion in 'Wii - Emulation and Homebrew' started by Joserics, Apr 23, 2019.

  1. Joserics
    OP

    Joserics Member

    Newcomer
    1
    Aug 9, 2018
    Mexico
    I was able to download from 2.52 until 2.70 but I don't know which one to try first I read on YouTube that anything before 3.0 would work but I don't know. Can someone give me a piece of advice ? thank you in advance.

    I am talking about the snes30 controller from 8bitdo
     
    Last edited by Joserics, Apr 23, 2019
  2. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    I don't understand what you what talk about.
    please, give specific detail, we don't know what you want if you don't tell which "version" you are talking about.

    The Wii has no firmware.
    therefore, the firmware version can't be downloaded on internet. so you can't find "wii v2.52" or "wii v2.70".

    if you talk about "snes30", then what's that?
    maybe Snes9x GX?
    all version are working, and like I said, the Wii does not have any firmware so it works on all Wii (except Wii mini which can't be hacked)

    hint : NEVER EVER FOLLOW YOUTUBE TO HACK A DEVICE !!!
    if you want info, just ask. don't trust youtube.
     
    Joserics likes this.
  3. Joserics
    OP

    Joserics Member

    Newcomer
    1
    Aug 9, 2018
    Mexico
    Hello, sorry with snes30 I al talking about a controller from 8bitdo, I want to use it on my wii to play snes games, the firmware is the controller firmware
     
  4. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    ahh, okay, sorry I didn't understand.

    hm, so the controller is supposed to work with the Wii?
    I didn't know its firmware could be modified.

    okay, I found this (in french) :
    https://www.8bitdo.fr/img/mode.png

    Boot the Wii to system menu, remove your current wiimote batteries (to force shut it down).
    Use Start+B to boot the controller in "wii classic" (classic controller). If it's the first time you use it on this Wii you need to press the red button on the Wii to sync the controller.


    it says it required firmware 1.71 or 3.0, if you found 2.x I don't know if it's good. the official website have other version.
    http://support.8bitdo.com/

    SN30 http://download.8bitdo.com/Firmware/Controller/SN30+SF30/SN30+SF30_Firmware_V4.10.zip
    SN30 GP http://download.8bitdo.com/Firmware/Controller/SN30/SN30_Firmware_V6.10.zip
    SN30 pro http://download.8bitdo.com/Firmware/Controller/SN30pro+SF30pro/SN30pro+SF30pro_Firmware_V1.30.zip
    SN30 Pro2 http://download.8bitdo.com/Firmware/Controller/N30pro2/8BitDo_Pro_2_Fimware_V6.10.zip
     
    Last edited by Cyan, Apr 23, 2019
Loading...